%define pkg_name        Tie-DB_File-SplitHash
%define pkg_version     1.05
%define rpm_pkg_version 1.05
%define rpm_pkg_release 2.n0i.4

Summary:       A wrapper around the DB_File Berkeley database system
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SN/SNOWHARE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(DB_File)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Temp)
%endif


%description
Transparently splits a Berkeley database (DB_File) into multiple files to
allow the exceeding of file system limits on file size. From the outside,
it behaves identically with Berkeley DB hash support in general. This has
the potential to greatly expand the amount of data that can be stored on a
file size limitted file system.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Artistic_License.txt Changes GPL_License.txt LICENSE README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.05-2.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer 0.1

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> - 1.05-1.n0i.3
- version 1.05

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 1.04-1.n0i.2
- version 1.04

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 1.01-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
